Package com.io7m.idstore.tls

# Record Class IdTLSStoreConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.tls.IdTLSStoreConfiguration

Record Components:
  `storeType` - The store type (such as "JKS" or "CANONMILL")
  `storeProvider` - The store provider (such as "SUN" or "CANONMILL")
  `storePassword` - The store password
  `storePath` - The store path

public record IdTLSStoreConfiguration(String storeType, String storeProvider, String storePassword, Path storePath) extends Record
Configuration information for a key/trust store.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdTLSStoreConfiguration(String storeType, String storeProvider, String storePassword, Path storePath)`
  Configuration information for a key/trust store.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `storePassword()`
  Returns the value of the `storePassword` record component.
  `Path`
  `storePath()`
  Returns the value of the `storePath` record component.
  `String`
  `storeProvider()`
  Returns the value of the `storeProvider` record component.
  `String`
  `storeType()`
  Returns the value of the `storeType` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdTLSStoreConfiguration

    public IdTLSStoreConfiguration(String storeType, String storeProvider, String storePassword, Path storePath)
    Configuration information for a key/trust store.
    Parameters:
      `storeType` - The store type (such as "JKS" or "CANONMILL")
      `storeProvider` - The store provider (such as "SUN" or "CANONMILL")
      `storePassword` - The store password
      `storePath` - The store path

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### storeType

    public String storeType()
    Returns the value of the `storeType` record component.
    Returns:
      the value of the `storeType` record component

  - ### storeProvider

    public String storeProvider()
    Returns the value of the `storeProvider` record component.
    Returns:
      the value of the `storeProvider` record component

  - ### storePassword

    public String storePassword()
    Returns the value of the `storePassword` record component.
    Returns:
      the value of the `storePassword` record component

  - ### storePath

    public Path storePath()
    Returns the value of the `storePath` record component.
    Returns:
      the value of the `storePath` record component